@media screen and (max-width: 1200px) {
    .hero-overlay{
        top: 50%;
        left: 53%;
        transform: translate(-50%, -50%);
        width: 90%;
    }
    .about-us-content {
        width: 80%;
        flex-direction: column;
    }

    .about-us-image {
        width: 500px;
        height: 600px;
    }

    #contact-form {
        width: 45%;

    }
    .question-card {
        width: 85%;
    }
}
@media screen and (max-width: 993px) {
    .hero-overlay{
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        width: 90%;
    }
}
@media screen and (max-width: 768px) {
    .desktop-nav-inner {
        height: auto;
        padding: 1rem;
    }

    .nav-links ul {
        gap: 0.5rem;
        flex-wrap: wrap;
        justify-content: center;

    }

    .hero-image {
        height: 600px;
    }

    .hero-overlay {
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        width: 90%;
    }

    .hero-overlay h1 {
        font-size: 40px;
    }

    .container h2,
    .contact-cont h2 {
        font-size: 36px;
    }

    .container p {
        font-size: 20px;
    }

    .services-list {
        flex-direction: column;
        align-items: center;
    }

    .service-card {
        width: 90%;
        max-width: 300px;
    }

    .question-card {
        width: 90%;
        flex-direction: column;
        height: auto;
        padding: 2rem;
        text-align: center;
    }

    .question-card p {
        margin-left: 0;
        margin-top: 1rem;
    }

    .contact-info {
        flex-direction: column;
        gap: 1.5rem;
    }

    .contact-button {
        width: 250px;
        height: 80px;
    }
    #contact-form {
        width: 70%;

    }
    .footer-content {
        flex-direction: column;
        align-items: center;
        text-align: center;
    }

    .footer-brand {
        align-items: center;
    }
}

@media screen and (max-width: 480px) {

    .about-us-content {
        width:90%;
    }
    .hero-overlay h1 {
        font-size: 32px;
    }

    .overlay-company-name {
        font-size: 24px;
    }

    .hero-overlay p {
        font-size: 18px;
    }

    .container h2,
    .contact-cont h2 {
        font-size: 28px;
    }
    #contact-form {
        width: 90%;

    }
    .inner-content-divider {
        width: 80%;
    }
}